class ThreadSample implements Runnable {
	String name;
	int loop;
	long sleep;

	public ThreadSample(String name, int loop, long sleep){
		this.name = name;
		this.loop = loop;
		this.sleep = sleep;
	}

	public void run(){
		for(int i = 0; i < loop; i++){
			try{
				Thread.sleep(sleep);
			}catch(Exception e){
				e.printStackTrace();
			}
			System.out.println(name + ":" + i);
		}
	}

	public static void main(String[] args){
		new Thread(new ThreadSample("Thread-1", Integer.parseInt(args[2]), Integer.parseInt(args[3]))).start();
		new Thread(new ThreadSample("Thread-2", Integer.parseInt(args[4]), Integer.parseInt(args[5]))).start();
		new Thread(new ThreadSample("Thread-1", Integer.parseInt(args[2]), Integer.parseInt(args[3]))).start();
		for(int i = 0; i < Integer.parseInt(args[0]); i++){
			try{
				Thread.sleep(Integer.parseInt(args[1]));
			}catch(Exception e){
				e.printStackTrace();
			}
			System.out.println("main:" + i);
		}
	}
}
