#! /bin/bash

basedir=../basic_utf8
rm -rf $basedir
mkdir $basedir
for d in $(find -type d ! -regex '\.\|\.\.\|.*/\..*');do
	mkdir $basedir/$d
done
for f in $(find . -type f ! -regex '\.\|\.\.\|.*/\..*\|.*\.class$\|.*\.gif$\|.*\.gz$\|.*\.swp$\|.*\.jar$');do
	iconv -f euc-jp -t utf-8 $f | sed 's/EUC-JP/UTF-8/g' > $basedir/$f
done
cp *.sh $basedir
