import java.awt.*;
import java.awt.event.*;

class Dragg01 extends Canvas {
	Frame fr;
	int x, y;

	public Dragg01(){
		addMouseMotionListener(new MouseMotionAdapter(){
			public void mouseDragged(MouseEvent ev){
				x = ev.getX();
				y = ev.getY();
				repaint();
			}
		});
		setSize(300, 200);
		setBackground(Color.WHITE);
		fr = new Frame("フレーム");
		fr.add(this);
		fr.pack();
		fr.addWindowListener(new WindowAdapter(){
			public void windowClosing(WindowEvent ev){
				System.exit(0);
			}
		});
		fr.setVisible(true);
	}

	public void update(Graphics g){
		paint(g);
	}

	public void paint(Graphics g){
		g.fillOval(x, y, 10, 10);
	}

	public static void main(String[] args){
		Dragg01 dr = new Dragg01();
	}
}
