import java.awt.*;

class ShapeSample01 extends Canvas {
	ShapeSample01(){
		setSize(530, 310);
		Frame frame = new Frame("図形のサンプル");
		frame.add(this, BorderLayout.CENTER);
		frame.pack();
		frame.setBackground(Color.white);
		frame.setVisible(true);
	}

	public void paint(Graphics g){
		int x0 = 30, y0 = 20, w = 100, h = 80, dx = 180, dy = 160;
		int x, y;

		g.setColor(Color.blue);
		x = x0;
		y = y0;
		g.drawRect(x, y, w, h);
		g.drawString("四角形（塗りつぶし無し）", x - 15, y + h + 20);
		y += dy;
		g.fillRect(x, y, w, h);
		g.drawString("四角形（塗りつぶし有り）", x - 15, y + h + 20);

		g.setColor(Color.red);
		x += dx;
		y = y0;
		g.drawOval(x, y, w, h);
		g.drawString("楕円（塗りつぶし無し）", x - 15, y + h + 20);
		y += dy;
		g.fillOval(x, y, w, h);
		g.drawString("楕円（塗りつぶし有り）", x - 15, y + h + 20);

		g.setColor(Color.green);
		x += dx;
		y = y0;
		g.drawPolygon(new int[]{x, x + w/2, x + w}, new int[]{y + h, y, y + h}, 3);
		g.drawString("三角形（塗りつぶし無し）", x - 15, y + h + 20);
		y += dy;
		g.fillPolygon(new int[]{x, x + w/2, x + w}, new int[]{y + h, y, y + h}, 3);
		g.drawString("三角形（塗りつぶし有り）", x - 15, y + h + 20);
	}

	public static void main(String[] args){
		new ShapeSample01();
	}
}
